/**
 *      Copyright (C) 2012 David M. Carr
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */

package org.bitbucket.davidm24.mongodb.aggregate;

/**
 * MongoDB keywords for aggregation framework pipeline operators
 * 
 * @author David M. Carr
 */
class PipelineOperators {
    public static final String GROUP = "$group";
    public static final String LIMIT = "$limit";
    public static final String MATCH = "$match";
    public static final String PROJECT = "$project";
    public static final String SKIP = "$skip";
    public static final String SORT = "$sort";
    public static final String UNWIND = "$unwind";
}
